/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

import javax.microedition.rms.*;


public class IODriver{
	
	String dbname;
	
	public IODriver(String name)
	{
		dbname = new String(name);

	}
	//
	//f[^̓ǂݍ(byte data)
	//
	public boolean loadData(int location,byte[] data)
	{
		boolean ret = true;
		
		try {
				RecordStore recordStore=
				RecordStore.openRecordStore(dbname,false);
				byte[] b = recordStore.getRecord(location);
				recordStore.closeRecordStore();
				
				System.arraycopy(b,0,data,0,b.length);
				
			} catch(Exception e){
				ret = false;
			}
			
		return ret;
	}
	//
	//f[^̓ǂݍ
	//
	public String loadDataString(int location)
	{
		String str="";
		
		try {
				RecordStore recordStore=
				RecordStore.openRecordStore(dbname,false);
				byte[] b = recordStore.getRecord(location);
				recordStore.closeRecordStore();
				str = new String(b);
				
			} catch(Exception e){
			}
			
		return str;
	}
	//
	//f[^̕ۑ
	//
	public boolean saveData(int location,byte[] data)
	{
		boolean ret = true;
		
		try {
			RecordStore recordStore = RecordStore.openRecordStore(dbname,true);
			if (recordStore.getNumRecords() == 0) {
				ret = false;
			} else {
				recordStore.setRecord(location,data,0,data.length);
			}
			recordStore.closeRecordStore();
		} catch(Exception e){
			
		}
		
		return ret;
	}
	//
	//Xg[W̏
	//
	public void initStrage(int recNum)
	{
		int i;
		
		try {
			RecordStore recordStore = RecordStore.openRecordStore(dbname,true);
			
			byte[] data={0};
			for(i=0;i<recNum;i++){
				recordStore.addRecord(data,0,data.length);
			}
			recordStore.closeRecordStore();
		} catch(Exception e){
			
		}
		
		
	}
	//
	//Xg[W݂邩mF
	//
	public boolean checkExistStrage()
	{
		boolean ret = true;
		
		try {
			RecordStore recordStore = RecordStore.openRecordStore(dbname,true);
			if(recordStore.getNumRecords() == 0) {
				ret = false;
			}
			recordStore.closeRecordStore();
		} catch(Exception e){
			
		}
		
		return ret;
	}
}