/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import com.jblend.micro.lcdui.*;
import java.util.*;

public class InputCalcForm extends Form
{
	private LocalizedTextField calcNameTxtFld;
	private LocalizedTextField calcTeacherTxtFld;
	private LocalizedTextField calcInfoTxtFld;
	private LocalizedTextField calcRoomTxtFld;
	
	CalcData calcData;
	
	InputCalcForm(CalcData data)
	{
		super(DayData.getDayString(data.getWeek()) + "F"
				+ data.getClassNum() + "");
		
		calcData = data;
		calcNameTxtFld = new LocalizedTextField("Ȗ","test",10,0);
		calcTeacherTxtFld = new LocalizedTextField("t","test",10,0);
		calcInfoTxtFld = new LocalizedTextField("l","test",10,0);
		calcRoomTxtFld = new LocalizedTextField("","test",10,0);
		
		calcNameTxtFld.setString(calcData.getCalcName());
		calcTeacherTxtFld.setString(calcData.getCalcTeacherStr());
		calcInfoTxtFld.setString(calcData.getCalcInfoStr());
		calcRoomTxtFld.setString(calcData.getCalcRoom());
		
		this.append(calcNameTxtFld);
		this.append(calcTeacherTxtFld);
		this.append(calcInfoTxtFld);
		this.append(calcRoomTxtFld);
	}
	
	public void saveData(CalcStrage Strage)
	{
		boolean bUpdate;
		
		if(calcNameTxtFld.getString() == null){
			bUpdate = calcData.setCalcName("null");
		} else {
			bUpdate = calcData.setCalcName(calcNameTxtFld.getString());
		}
		if(bUpdate){
			Strage.SaveCalcName(calcData.getWeek(),calcData.getClassNum(),
								calcData.getCalcName());
		}
		
		if(calcTeacherTxtFld.getString() == null){
			bUpdate = calcData.setCalcTeacher("null");
		} else {
			bUpdate = calcData.setCalcTeacher(calcTeacherTxtFld.getString());
		}
		if(bUpdate){
			Strage.SaveCalcTeacher(calcData.getWeek(),calcData.getClassNum(),
								calcData.getCalcTeacherStr());
		}
		
		if(calcInfoTxtFld.getString() == null){
			bUpdate = calcData.setCalcInfoStr("null");
		} else {
			bUpdate = calcData.setCalcInfoStr(calcInfoTxtFld.getString());
		}
		if(bUpdate){
			Strage.SaveCalcInfo(calcData.getWeek(),calcData.getClassNum(),
								calcData.getCalcInfoStr());
		}
		
		if(calcRoomTxtFld.getString() == null){
			bUpdate = calcData.setCalcRoomStr("null");
		} else {
			bUpdate = calcData.setCalcRoomStr(calcRoomTxtFld.getString());
		}
		if(bUpdate){
			Strage.SaveCalcRoom(calcData.getWeek(),calcData.getClassNum(),
								calcData.getCalcRoom());
		}
		
	}
}