/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
public class CalcData extends CellViewData
{
	public static final int STRAGE_DATA_NUM = 4;//ۑvpeB
	private static final int CALC_TITLE_LENGTH = 4;
	
	String calcNameStr;		//Ɩ
	String calcTeacherStr;	//St
	String calcInfoStr;		//l
	String calcRoomStr;		//
	
	int week;				//j
	int classNum;			//
		
	CalcData(int day,int time,String Name,String Teacher,String Info,String Room)
	{
		super.type = CALCDATA;
		
		week = day;
		classNum = time;
		setCalcName(Name);
		setCalcTeacher(Teacher);
		setCalcInfoStr(Info);
		setCalcRoomStr(Room);
		
	}
	
	public String getCalcName()
	{
		return calcNameStr;
	}
	
	public String getCalcTeacherStr()
	{
		return calcTeacherStr;
	}
	public String getCalcInfoStr()
	{
		return calcInfoStr;
	}
	public String getCalcRoom()
	{
		return calcRoomStr;
	}
	public int getWeek()
	{
		return week;
	}
	public int getClassNum()
	{
		return classNum;
	}

	public boolean setCalcName(String str)
	{
		String tmp;
		
		if(calcNameStr != null){

			if(calcNameStr.compareTo(str) == 0){
				//ύXȂ
				return false;
			}
		}
		
		tmp = new String(str);
		calcNameStr = tmp;
		
		if(0 < calcNameStr.length() && calcNameStr.length() < CALC_TITLE_LENGTH + 1){
			title = calcNameStr;
		} else if(calcNameStr.length() == 0){
			title = "";
		} else {
			title = new String(calcNameStr.substring(0,CALC_TITLE_LENGTH));
		}
		
		return true;
	}
	public boolean setCalcTeacher(String str)
	{
		String tmp;
		
		if(calcTeacherStr != null){

			if(calcTeacherStr.compareTo(str) == 0){
					//ύXȂ
					return false;
			}

		}
		tmp = new String(str);
		calcTeacherStr = tmp;
		
		return true;
	}
	public boolean setCalcInfoStr(String str)
	{
		String tmp;
		
		if(calcInfoStr != null){

			if(calcInfoStr.compareTo(str) == 0){
					//ύXȂ
					return false;
			}

		}
		
		tmp = new String(str);
		calcInfoStr = tmp;
		
		return true;
	}
	public boolean setCalcRoomStr(String str)
	{
		String tmp;
		
		if(calcRoomStr != null){
			
			if(calcRoomStr.compareTo(str) == 0){
					//ύXȂ
					return false;
			}
			
		}
		
		tmp = new String(str);
		calcRoomStr = tmp;
		
		return true;
	}
}