/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
import java.util.*;

public class DayData extends CellViewData
{
	int day;
	String dayString;
	
	public DayData(int dayType)
	{
		super.type  = DAYDATA;
		day = dayType;
		setDayString(day);
	}
	
	public static String getDayString(int day)
	{
		if(day == Calendar.SUNDAY){
			return"";
		} else if(day == Calendar.MONDAY){
			return "";
		} else if(day == Calendar.TUESDAY){
			return "";
		} else if(day == Calendar.WEDNESDAY){
			return "";
		} else if(day == Calendar.THURSDAY){
			return "";
		} else if(day == Calendar.FRIDAY){
			return "";
		} else if(day == Calendar.SATURDAY){
			return "y";
		} else {
			return " ";
		}
	}
	private void setDayString(int day)
	{
		
		dayString = new String(getDayString(day));
		title = dayString;
	}

}