/*
  Copyright (C) 2003  Taiga Yonekura, taiga@col.hi-ho.ne.jp

  For more information about this appliation please look at:
   http://www.pat.hi-ho.ne.jp/kyonekura

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
import javax.microedition.lcdui.*;
import java.io.*;

public class Pointer
{
	int pos_x;
	int pos_y;
	
	int window_x;
	int window_y;
	
	int posIdx;
	Image img;
	
	Pointer(int x,int y,int width,int height)
	{
		pos_x = x;
		pos_y = y;
		
		window_x = width;
		window_y = height;
		posIdx = 0;
		
		//for MID
		try {
			
			img = Image.createImage("/test.png");
			
		}	catch(IOException e) {
			;
        }
	}
	
	public boolean movePointerLeft()
	{
		boolean ret = false;
		
		if((posIdx % (window_x)) == 0) {
			//[
			ret = true;
		} else	if((posIdx % (window_x)) == window_x - 1){
			//E[
			posIdx--;
		} else {
			posIdx--;
		}
		
		return ret;
	}
	public boolean movePointerRight()
	{
		boolean ret = false;
		
		if((posIdx % (window_x)) == 0) {
			//ԍ̂Ƃ
			posIdx++;
		} else if((posIdx % (window_x)) == window_x - 1) {
			//ԉÊƂ
			ret = true;
		} else {
			posIdx++;
		}
		
		return ret;
	}
	public boolean movePointerUp()
	{
		boolean ret = false;
		
		if(posIdx < window_x){
			//ԏ̂Ƃ
			ret = true;
		} else {
			posIdx-=window_x;
		}
		
		
		return ret;
	}
	public boolean movePointerDown()
	{
		boolean ret = false;
		
		if(posIdx < window_x*(window_y-1)){
			posIdx+=window_x;
		} else {
			ret = true;
		}
		
		return ret;
	}
	public int getIndex()
	{
		return posIdx;
	}
	public void drawPointer(Graphics g,int x,int y)
	{
		g.drawImage(img,x,y,g.LEFT);
	}
}
